<?php

//Clase de Paises
class clase_cen_cos
{
  	var $nom_tabla = 'dxcencos';
  	var  $cve_cencos = '0';
	var  $des_cencos = '0';
	var  $cta_con = '0';
	var  $afe_cen = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_cencos = '$this->cve_cencos'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (cve_cencos, des_cencos, cta_con, afe_cen)values('$this->cve_cencos', '$this->des_cencos', '$this->cta_con', '$this->afe_cen')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_cencos){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_cencos = '$cve_cencos'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($cve_cencos){
		$sql = "UPDATE $this->nom_tabla SET cve_cencos = '$this->cve_cencos', des_cencos = '$this->des_cencos',cta_con= '$this->cta_con' ,afe_cen='$this->afe_cen'  WHERE cve_cencos='$cve_cencos'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cve_cencos){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_cencos = '$cve_cencos'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>